﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Tracker.Data.DataTransfer;
using System.ComponentModel;

namespace Tracker.Views
{
    public interface IOptionView
    {
        BindingList<ObjectAttribute> TaskFieldView { get; set; }
        BindingList<StatusDomain> StatusDomainView { get; set; }
        string RootPath { get; set; }

        event EventHandler RefreshTaskFieldsEvent;
        event EventHandler<ObjectAttribute> DeleteTaskFieldDomainEvent;
        event EventHandler RefreshRootPathEvent;
        event EventHandler ChangeRootPathEvent;
        event EventHandler RefreshStatusDomainEvent;
        event EventHandler<StatusDomain> DeleteStatusDomainEvent;
        event EventHandler<StatusDomain> UpdateStatusDomainEvent;  
        
    }
}
